#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-1167

### Chapter 9. General Libraries

- Prev

  NSPR-4.39

- Next

  Popt-1.19

- Up
- Home

# OpenTimelineIO-0.18.1

## Introduction to OpenTimelineIO

The OpenTimelineIO package contains an interchange format and API for editorial cut information.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/AcademySoftwareFoundation/OpenTimelineIO/archive/v0.18.1/OpenTimelineIO-0.18.1.tar.gz

- Download MD5 sum: 7b13298f151ad5bd2d4a74c0c66bfa41

- Download size: 1.6 MB

- Estimated disk space required: 62 MB

- Estimated build time: 0.1 SBU (using parallelism=4

### Additional Downloads

- Required download: https://anduin.linuxfromscratch.org/BLFS/OpenTimelineIO/OpenTimelineIO-rapidjson-20260513.tar.xz

- Download MD5 sum: 620458ffa66419cdff9bf656a344ed57

### OpenTimelineIO Dependencies

#### Required

CMake-4.4.2 and Imath-3.2.2

## Installation of OpenTimelineIO

First, install a substitute for RapidJSON. This updates the upstream version that has not been updated since 2016 and avoids downloading untagged releases of external submodules.

    tar -xvf ../OpenTimelineIO-rapidjson-20260513.tar.xz \
        --strip-components=1 -C src/deps

Install OpenTimelineIO by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr     \
          -D OTIO_FIND_IMATH=ON            \
          -D OTIO_AUTOMATIC_SUBMODULES=OFF \
          -D OTIO_DEPENDENCIES_INSTALL=OFF \
          .. &&
    make

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libopentime.so and libopentimelineio.so
Installed Directory: /usr/include/opentime, /usr/include/opentimelineio /usr/share/opentime, and /usr/share/opentimelineio

- Prev

  NSPR-4.39

- Next

  Popt-1.19

- Up
- Home